import { Controller, Post, Logger } from "@nestjs/common";
import { InitService } from "./init.service";

@Controller("init")
export class InitController {
  private readonly logger = new Logger(InitController.name);

  constructor(private readonly initService: InitService) {}

  @Post("system")
  async initializeSystem() {
    this.logger.log("Received system initialization request");
    return this.initService.initializeSystem();
  }
}
